Opened 10 months ago

Last modified 8 months ago

#60498 assigned defect

polari: configure failure

Reported by: himatech Owned by: dbevans (David B. Evans)
Priority: Normal Milestone:
Component: ports Version: 2.6.2
Keywords: Cc: ZZZenofon
Port: polari

Description

Hi, I'm trying to install gnome on my Catalina but I'm having a problem with Polari. Here is the output:

--->  Fetching archive for polari
--->  Attempting to fetch polari-3.24.2_1.darwin_19.x86_64.tbz2 from http://jog.id.packages.macports.org/macports/packages/polari
--->  Attempting to fetch polari-3.24.2_1.darwin_19.x86_64.tbz2 from http://mse.uk.packages.macports.org/sites/packages.macports.org/polari
--->  Attempting to fetch polari-3.24.2_1.darwin_19.x86_64.tbz2 from http://lil.fr.packages.macports.org/polari
--->  Configuring polari
Error: Failed to configure polari, consult /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_gnome_polari/polari/work/polari-3.24.2/config.log
Error: Failed to configure polari: configure failure: command execution failed
Error: See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_gnome_polari/polari/main.log for details.
Error: Follow https://guide.macports.org/#project.tickets to report a bug.
Error: Processing of port gnome failed

I'm running Catalina 10.15.4 and macports 2.6.2.

Attachments (3)

config.log (60.0 KB) - added by himatech 10 months ago.
config.log
main.log (315.9 KB) - added by himatech 10 months ago.
main.log
main.2.log (926.4 KB) - added by ZZZenofon 9 months ago.
My log

Download all attachments as: .zip

Change History (10)

Changed 10 months ago by himatech

Attachment: config.log added

config.log

Changed 10 months ago by himatech

Attachment: main.log added

main.log

comment:1 Changed 10 months ago by mf2k (Frank Schima)

In the future, fill in the Port field with the port that fails to build and Cc the port maintainer(s) (port info --maintainers polari).

comment:2 Changed 10 months ago by mf2k (Frank Schima)

Owner: set to dbevans
Port: polari added; gnome removed
Status: newassigned
Summary: gnome: Install Error: Failed to configure polaripolari: configure failure

comment:3 Changed 9 months ago by reneeotten (Renee Otten)

Cc: ZZZenofon added

comment:4 Changed 9 months ago by reneeotten (Renee Otten)

has duplicate: 60586

Last edited 9 months ago by reneeotten (Renee Otten) (previous) (diff)

comment:5 Changed 9 months ago by kencu (Ken)

4217	:info:configure checking for GJS... (pkg-config) /opt/local/bin/gjs-console
4218	:info:configure checking for version 3.0 of Gdk... ./configure: line 17275:  2635 Segmentation fault: 11  $GJS conftest.js >> config.log 2>&1
4219	:info:configure no
4220	:info:configure configure: error: You do not have API version 3.0 of the GObject
4221	:info:configure Introspection bindings for the Gdk library.
4222	:info:configure Build a version from source, or find out what package to
4223	:info:configure install with one of these commands, depending on your system:
4224	:info:configure   apt-file search Gdk-3.0.typelib
4225	:info:configure   dnf provides \*/Gdk-3.0.typelib}}}

Changed 9 months ago by ZZZenofon

Attachment: main.2.log added

My log

comment:6 Changed 8 months ago by kencu (Ken)

this is a problem because polari is in the default set of ports for sudo port -v install gnome and now this brings down the whole house of cards. So we should either fix this, if we can, or remove it from the default gnome set until it is fixed.

We ask users to sudo port install gnome (I sent that message out myself to people this morning) and when this crashes it is not great.

comment:7 Changed 8 months ago by kencu (Ken)

for one, polari has been updated to 3.36.3.

however, polari can't be updated until gjs is updated. however gjs can't be updated until mozjs-68 is present, which we don't have.

Perhaps we try taking polari out of gnome for now and see if that gets us back in business...

Note: See TracTickets for help on using tickets.